Buffer
Date: 2016-06-23

com.jcraft.jsch.agentproxy

## Class Buffer

- java.lang.Object
- - com.jcraft.jsch.agentproxy.Buffer

-     public class Buffer
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `byte[]` | `buffer`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Buffer()`
    `Buffer(byte[] buffer)`
    `Buffer(int size)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `checkFreeSize(int n)`
    `int` | `getByte()`
    `void` | `getByte(byte[] foo)`
    `int` | `getByte(int len)`
    `int` | `getInt()`
    `int` | `getLength()`
    `long` | `getLong()`
    `byte[]` | `getMPInt()`
    `byte[]` | `getMPIntBits()`
    `int` | `getOffSet()`
    `byte[]` | `getString()`
    `long` | `getUInt()`
    `void` | `putByte(byte foo)`
    `void` | `putByte(byte[] foo)`
    `void` | `putByte(byte[] foo, int begin, int length)`
    `void` | `putInt(int val)`
    `void` | `putLong(long val)`
    `void` | `putMPInt(byte[] foo)`
    `void` | `putString(byte[] foo)`
    `void` | `putString(byte[] foo, int begin, int length)`
    `void` | `reset()`
    `void` | `rewind()`
    `void` | `setOffSet(int s)`
    `void` | `shift()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### buffer

          public byte[] buffer

  - ### Constructor Detail

    - #### Buffer

          public Buffer(int size)

    - #### Buffer

          public Buffer(byte[] buffer)

    - #### Buffer

          public Buffer()

  - ### Method Detail

    - #### putByte

          public void putByte(byte foo)

    - #### putByte

          public void putByte(byte[] foo)

    - #### putByte

          public void putByte(byte[] foo,
                     int begin,
                     int length)

    - #### putString

          public void putString(byte[] foo)

    - #### putString

          public void putString(byte[] foo,
                       int begin,
                       int length)

    - #### putInt

          public void putInt(int val)

    - #### putLong

          public void putLong(long val)

    - #### putMPInt

          public void putMPInt(byte[] foo)

    - #### getLength

          public int getLength()

    - #### getOffSet

          public int getOffSet()

    - #### setOffSet

          public void setOffSet(int s)

    - #### getLong

          public long getLong()

    - #### getInt

          public int getInt()

    - #### getUInt

          public long getUInt()

    - #### getByte

          public int getByte()

    - #### getByte

          public void getByte(byte[] foo)

    - #### getByte

          public int getByte(int len)

    - #### getMPInt

          public byte[] getMPInt()

    - #### getMPIntBits

          public byte[] getMPIntBits()

    - #### getString

          public byte[] getString()

    - #### reset

          public void reset()

    - #### shift

          public void shift()

    - #### rewind

          public void rewind()

    - #### checkFreeSize

          public void checkFreeSize(int n)